> For the complete documentation index, see [llms.txt](https://docs.tradevest.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tradevest.ai/release-notes/archive/v.1.11.0-test-environment.md).

# v.1.11.0

#### 2026-01-20 - Live

#### 2025-12-16 - Test Environment

***

**Added**

### **WAWEX API Enhancements**

**Requestor-ID Security**

Added mandatory `Requestor-ID` header validation to align with platform security standards.

**Affected Endpoints:**

* `POST` `/wawex/orders/market`
* `DELETE` `/wawex/orders/{id}`

**Filtering**

* Added `externalId` query parameter to:
  * `GET` `/wawex/products/{customerProductId}/orders`
* Allows filtering orders by external order reference

***

**Changed**

### **WAWEX API Standardization**

Performed a cleanup to align WAWEX endpoints with Tradevest platform standards.

**Endpoint Renaming & Paths:**

* List Orders:
  * Changed from `/wawex/orders`
  * To `GET` `/wawex/products/{customerProductId}/orders`
* Parameter `walletId` renamed to `customerProductId`

**Parameter & Enum Normalization:**

* **Order ID:** Standardized to `orderId` in responses
* **Trade Side:**
  * Field renamed from `side` to `tradeSide`
  * Enum values normalized to uppercase (`BUY`, `SELL`)

**Affected Endpoints:**

* `POST` `/wawex/orders/market`
* `GET` `/wawex/orders/{id}`
* `DELETE` `/wawex/orders/{id}`
* `GET` `/wawex/orders/{id}/receipt`
* `GET` `/wawex/assets`

***

### **Trade Invoices (PDF)**

Improvements to layout and data mapping for Trade Invoice documents.

**General (Buy & Sell):**

* `Auftraggeber` now concatenates `firstName + lastName` (resolved via UUID)
* Added currency parameter to marked fields

**Sell Orders Only:**

* Renamed `"Kauf"` to `"Verkauf"`
* Added negative sign (`-`) to the Provision amount
* **New Fields:**
  * `TaxModule_TaxDeductionTotal`
  * `TaxModuleProfit`
* **Valuta:** Calculation updated to **T+3**

***

### **NACE Sectors Search**

**Updated Endpoint:**

* `GET` `/entities/natural-persons/search/nace-sectors`

**Changes:**

* Now returns **all available NACE sector values**
  * Previously limited to a random subset of 10
* Results are **sorted by section in ascending order**

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tradevest.ai/release-notes/archive/v.1.11.0-test-environment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
